### Method

# GLib KeyFile free

since: 2.6

#### Declaration [src]

    void
    g_key_file_free (
      GKeyFile* key_file
    )

#### Description [src]

Clears all keys and groups from `key_file`, and decreases the reference count by 1.

If the reference count reaches zero, frees the key file and all its allocated memory.

Available since: 2.6

This method is not directly available to language bindings.

#### Parameters

`key_file`

  Type: `GKeyFile`

  A key file.

  The instance takes ownership of the data, and is responsible for freeing it.